Bug 240639 - NullPointerException at org.netbeans.modules.web.jsf.editor.actions.NamespaceProcessor.computeImportData
NullPointerException at org.netbeans.modules.web.jsf.editor.actions.Namespace...
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
8.0
All All
: P3 (vote)
: 8.0
Assigned To: Martin Fousek
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-18 11:10 UTC by kimsp
Modified: 2014-01-21 02:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.77 KB, text/plain)
2014-01-18 11:10 UTC, kimsp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kimsp 2014-01-18 11:10:05 UTC
Build: NetBeans IDE 8.0 Beta (Build 201401091443)
VM: Java HotSpot(TM) 64-Bit Server VM, 24.51-b03, Java(TM) SE Runtime Environment, 1.7.0_51-b13
OS: Mac OS X

User Comments:
kimsp: Editing some angular




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.web.jsf.editor.actions.NamespaceProcessor.computeImportData(NamespaceProcessor.java:104)
   at org.netbeans.modules.web.jsf.editor.actions.FixNamespacesAction.computeNamespaces(FixNamespacesAction.java:178)
   at org.netbeans.modules.web.jsf.editor.actions.FixNamespacesAction.access$100(FixNamespacesAction.java:93)
   at org.netbeans.modules.web.jsf.editor.actions.FixNamespacesAction$1.run(FixNamespacesAction.java:122)
   at org.netbeans.modules.parsing.impl.TaskProcessor.callUserTask(TaskProcessor.java:593)
   at org.netbeans.modules.parsing.api.ParserManager$UserTaskAction.run(ParserManager.java:155)
Comment 1 kimsp 2014-01-18 11:10:06 UTC
Created attachment 144099 [details]
stacktrace
Comment 2 Martin Fousek 2014-01-20 05:55:02 UTC
Thanks for reporting.

Fixed in web-main #87d2617947d3.
Comment 3 Quality Engineering 2014-01-21 02:57:01 UTC
Integrated into 'main-silver', will be available in build *201401210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/87d2617947d3
User: Martin Fousek <marfous@netbeans.org>
Log: #240639 - NullPointerException at org.netbeans.modules.web.jsf.editor.actions.NamespaceProcessor.computeImportData


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo